Main Page Widgets Namespaces Book

# Gtk::RecentInfo Class Reference
[RecentFiles]

List of all members.

## Detailed Description

Contains informations found when looking up an entry of the recently used files list.

Since gtkmm 2.10:

## Public Member Functions

bool | equal (const RecentInfo& other) const
bool | exists () const
| Checks whether the resource pointed by info still exists.
time_t | get_added () const
| Gets the timestamp (seconds from system's Epoch) when the resource was added to the recently used resources list.
int | get_age () const
| Gets the number of days elapsed since the last update of the resource pointed by info.
bool | get_application_info (const Glib::ustring& app_name, Glib::StringArrayHandle& app_exec, guint& count, time_t& time) const
| Gets the data regarding the application that has registered the resource pointed by info.
Glib::StringArrayHandle | get_applications () const
Glib::ustring | get_description () const
| Gets the (short) description of the resource.
Glib::ustring | get_display_name () const
| Gets the name of the resource.
Glib::StringArrayHandle | get_groups () const
Glib::RefPtr<const Gdk::Pixbuf> | get_icon (int size) const
| Retrieves the icon of size size associated to the resource MIME type.
Glib::RefPtr<Gdk::Pixbuf> | get_icon (int size)
| Retrieves the icon of size size associated to the resource MIME type.
Glib::ustring | get_mime_type () const
| Gets the MIME type of the resource.
time_t | get_modified () const
| Gets the timestamp (seconds from system's Epoch) when the resource was last modified.
bool | get_private_hint () const
| Gets the value of the "private" flag.
Glib::ustring | get_short_name () const
| Computes a valid UTF-8 string that can be used as the name of the item in a menu or list.
Glib::ustring | get_uri () const
| Gets the URI of the resource.
Glib::ustring | get_uri_display () const
| Gets a displayable version of the resource's URI.
time_t | get_visited () const
| Gets the timestamp (seconds from system's Epoch) when the resource was last visited.
const GtkRecentInfo* | gobj () const
| Provides access to the underlying C instance.
GtkRecentInfo* | gobj ()
| Provides access to the underlying C instance.
GtkRecentInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_application (const Glib::ustring& app_name) const
| Checks whether an application registered this resource using app_name.
bool | has_group (const Glib::ustring& group) const
| Checks whether group_name appears inside the groups registered for the recently used item info.
bool | is_local () const
| Checks whether the resource is local or not by looking at the scheme of its URI.
Glib::ustring | last_application () const
| Gets the name of the last application that have registered the recently used resource represented by info.
| operator bool () const
| Tests whether the RecentInfo is valid.
void | reference () const
void | unreference () const

## Protected Member Functions

void | operator delete (void*, size_t)
| RecentInfo ()

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const RecentInfo& lhs, const RecentInfo& rhs)
bool | operator== (const RecentInfo& lhs, const RecentInfo& rhs)
Glib::RefPtr<Gtk::RecentInfo> | wrap (GtkRecentInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gtk::RecentInfo::RecentInfo | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gtk::RecentInfo::equal | ( | const RecentInfo& | other | ) | const

Referenced by operator!=(), and operator==().

bool Gtk::RecentInfo::exists | ( |  | ) | const

Checks whether the resource pointed by info still exists.

At the moment this check is done only on resources pointing to local files.

Returns:
  `true` if the resource exists

Since gtkmm 2.10:

time_t Gtk::RecentInfo::get_added | ( |  | ) | const

Gets the timestamp (seconds from system's Epoch) when the resource was added to the recently used resources list.

Returns:
  The number of seconds elapsed from system's Epoch when the resource was added to the list, or -1 on failure.

Since gtkmm 2.10:

int Gtk::RecentInfo::get_age | ( |  | ) | const

Gets the number of days elapsed since the last update of the resource pointed by info.

Returns:
  A positive integer containing the number of days elapsed since the time this resource was last modified.

Since gtkmm 2.10:

bool Gtk::RecentInfo::get_application_info | ( | const Glib::ustring & | app_name,
|  | Glib::StringArrayHandle & | app_exec,
|  | guint & | count,
|  | time_t & | time |
| ) |  |  | const

Gets the data regarding the application that has registered the resource pointed by info.

If the command line contains any escape characters defined inside the storage specification, they will be expanded.

Parameters:

  | app_name | The name of the application that has registered this item.
  | app_exec | Return location for the string containing the command line.
  | count | Return location for the number of times this item was registered.
  | time | Return location for the timestamp this item was last registered for this application.

Returns:
  `true` if an application with app_name has registered this resource inside the recently used list, or `false` otherwise. You should free the returned command line using Glib::free().

Since gtkmm 2.10:

Glib::StringArrayHandle Gtk::RecentInfo::get_applications | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_description | ( |  | ) | const

Gets the (short) description of the resource.

Returns:
  The description of the resource. The returned string is owned by the recent manager, and should not be freed.

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::get_display_name | ( |  | ) | const

Gets the name of the resource.

If none has been defined, the basename of the resource is obtained.

Returns:
  The display name of the resource. The returned string is owned by the recent manager, and should not be freed.

Since gtkmm 2.10:

Glib::StringArrayHandle Gtk::RecentInfo::get_groups | ( |  | ) | const

Glib::RefPtr<const Gdk::Pixbuf> Gtk::RecentInfo::get_icon | ( | int | size | ) | const

Retrieves the icon of size size associated to the resource MIME type.

Parameters:

  | size | The size of the icon in pixels.

Returns:
  A Gdk::Pixbuf containing the icon, or `0`.

Since gtkmm 2.10:

Glib::RefPtr<Gdk::Pixbuf> Gtk::RecentInfo::get_icon | ( | int | size | ) |

Retrieves the icon of size size associated to the resource MIME type.

Parameters:

  | size | The size of the icon in pixels.

Returns:
  A Gdk::Pixbuf containing the icon, or `0`.

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::get_mime_type | ( |  | ) | const

Gets the MIME type of the resource.

Returns:
  The MIME type of the resource. The returned string is owned by the recent manager, and should not be freed.

Since gtkmm 2.10:

time_t Gtk::RecentInfo::get_modified | ( |  | ) | const

Gets the timestamp (seconds from system's Epoch) when the resource was last modified.

Returns:
  The number of seconds elapsed from system's Epoch when the resource was last modified, or -1 on failure.

Since gtkmm 2.10:

bool Gtk::RecentInfo::get_private_hint | ( |  | ) | const

Gets the value of the "private" flag.

Resources in the recently used list that have this flag set to `true` should only be displayed by the applications that have registered them.

Returns:
  `true` if the private flag was found, `false` otherwise.

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::get_short_name | ( |  | ) | const

Computes a valid UTF-8 string that can be used as the name of the item in a menu or list.

For example, calling this function on an item that refers to "file:///foo/bar.txt" will yield "bar.txt".

Returns:
  A newly-allocated string in UTF-8 encoding; free it with Glib::free().

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::get_uri | ( |  | ) | const

Gets the URI of the resource.

Returns:
  The URI of the resource. The returned string is owned by the recent manager, and should not be freed.

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::get_uri_display | ( |  | ) | const

Gets a displayable version of the resource's URI.

If the resource is local, it returns a local path; if the resource is not local, it returns the UTF-8 encoded content of gtk_recent_info_get_uri().

Returns:
  A UTF-8 string containing the resource's URI or `0`

Since gtkmm 2.10:

time_t Gtk::RecentInfo::get_visited | ( |  | ) | const

Gets the timestamp (seconds from system's Epoch) when the resource was last visited.

Returns:
  The number of seconds elapsed from system's Epoch when the resource was last visited, or -1 on failure.

Since gtkmm 2.10:

const GtkRecentInfo* Gtk::RecentInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GtkRecentInfo* Gtk::RecentInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GtkRecentInfo* Gtk::RecentInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::RecentInfo::has_application | ( | const Glib::ustring & | app_name | ) | const

Checks whether an application registered this resource using app_name.

Parameters:

  | app_name | A string containing an application name.

Returns:
  `true` if an application with name app_name was found, `false` otherwise.

Since gtkmm 2.10:

bool Gtk::RecentInfo::has_group | ( | const Glib::ustring & | group | ) | const

Checks whether group_name appears inside the groups registered for the recently used item info.

Parameters:

  | group_name | Name of a group.

Returns:
  `true` if the group was found.

Since gtkmm 2.10:

bool Gtk::RecentInfo::is_local | ( |  | ) | const

Checks whether the resource is local or not by looking at the scheme of its URI.

Returns:
  `true` if the resource is local.

Since gtkmm 2.10:

Glib::ustring Gtk::RecentInfo::last_application | ( |  | ) | const

Gets the name of the last application that have registered the recently used resource represented by info.

Returns:
  An application name. Use Glib::free() to free it.

Since gtkmm 2.10:

Gtk::RecentInfo::operator bool | ( |  | ) | const

Tests whether the RecentInfo is valid.

void Gtk::RecentInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gtk::RecentInfo::reference | ( |  | ) | const

void Gtk::RecentInfo::unreference | ( |  | ) | const

## Friends And Related Function Documentation

bool operator!= | ( | const RecentInfo& | lhs,
|  | const RecentInfo& | rhs |
| ) |  |  | `[related]`

References equal().

bool operator== | ( | const RecentInfo& | lhs,
|  | const RecentInfo& | rhs |
| ) |  |  | `[related]`

References equal().

Glib::RefPtr<Gtk::RecentInfo> wrap | ( | GtkRecentInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentinfo.h